import request from '@/utils/request'

// 消耗单明细列表
export function mxList(data) {
  return request({
    url: `/pu/doc/list`,
    method: 'post',
    data: data
  })
}
// 消耗单明细下拉数据
export function pullMx(data) {
  return request({
    url: `/pu/doc/addToSpdConsumerDocAndItem`,
    method: 'post',
    data: data
  })
}
// 消耗单明细详情
export function Mxdetail(id) {
  return request({
    url: `/pu/doc/${id}`,
    method: 'get',
  })
}
// 消耗单明细汇总
export function huizongMX(data) {
  return request({
    url: `/pu/doc/pullToCcd`,
    method: 'post',
    data: data
  })
}
// 消耗单明细下拉数据
export function editSaveMx(data) {
  return request({
    url: `/pu/doc`,
    method: 'put',
    data: data
  })
}
// 消耗单明细提交OA
export function toOAs(data) {
  return request({
    url: `/pu/doc/toOa`,
    method: 'post',
    data: data
  })
}
// 导出
export function exportMx(data) {
  return request({
    url: `/pu/doc/pullToCcd`,
    method: 'post',
    data: data
  })
}